copyparty:
  port: 3923
  reverse_proxy: false # Set to true if behind reverse proxy
  xff_src: "" # IP of reverse proxy (e.g., "192.168.1.10")
  ah_salt: "" # Fixed salt for password hashing (generate with: openssl rand -base64 32)
  accounts: []
    # - user: admin
    #   password: changeme
  volumes: []
    # - path: /srv/dockerdata/copyparty/data/public
    #   name: public  # optional, defaults to basename of path
    #   accs:
    #     - r: "*"
    #       rw: admin
    #   flags:  # optional volume flags
    #     - e2ds  # filesystem indexing (required for vmaxb/vmaxn/dedup)
    #     - e2ts  # media tags indexing (for music/video metadata)
    #     - vmaxb: 50g  # max 50 GiB total volume size
    #     - vmaxn: 1000  # max 1000 files
    #     - df: 4g  # min 4 GiB free disk space
    #     - lifetime: 86400  # delete files after 24h (seconds)
    #     - sz: 1k-100m  # filesize between 1 KiB and 100 MiB
    #     - nosub  # no subdirectories allowed
    #     - maxb: 100m,3600  # max 100 MiB per hour per IP
    #     - maxn: 50,3600  # max 50 files per hour per IP
    #     - dedup  # enable deduplication (requires e2ds)
    #     - reflink  # use CoW/reflink (btrfs/xfs only, Linux 5.3+)
    #     - hardlinkonly  # use hardlinks instead of symlinks for dedup
    # - path: /mnt/media
    #   name: music
    #   accs:
    #     - r: "*"
    #       A: admin
    #   flags:
    #     - e2ds  # filesystem indexing
    #     - e2ts  # media tags for music/video
    #     - dedup  # deduplication
    #     - reflink  # CoW on btrfs (via NFS 4.2)
